
clear all

cd "path/to/the/directory/for/the/resulting/file/"

* Unfortunately, there was no approval of the SOEP to host the data
* on this server. Nevertheless, original data is available from the SOEP.

log using Study1_analysis, text replace

use Study1, clear

/* ----------------( Descriptive analysis of the sample )----------------- */

sum personshh if missing(hhdonate, c_hhclass)==0

sum wincome if missing(hhdonate, c_hhclass)==0
sum isced if missing(hhdonate, c_hhclass)==0
sum siops if missing(hhdonate, c_hhclass)==0

tab hhdonate if missing(hhdonate, c_hhclass)==0
sum hhrelative if missing(hhrelative, c_hhclass)==0
sum hhrelativeA if missing(hhrelativeA, c_hhclass)==0

sum c_hhclass if missing(hhdonate, c_hhclass)==0

/* --------------( Analysis of social class' effects on donating )--------------- */

logistic hhdonate c_hhclass qc_hhclass
logit hhdonate c_hhclass qc_hhclass
regress hhrelative c_hhclass qc_hhclass
estat summarize
regress hhrelativeA c_hhclass qc_hhclass
estat summarize
tobit hhrelativeA c_hhclass qc_hhclass, ll(0)


/* --( Supplementary analysis of the effects of indicators of social class )-- */

generate qc_wincome = c_wincome^2
generate qc_isced = c_isced^2
generate qc_siops = c_siops^2

logistic hhdonate c_wincome qc_wincome
logistic hhdonate c_isced qc_isced
logistic hhdonate c_siops qc_siops

regress hhrelative c_wincome qc_wincome
regress hhrelative c_isced qc_isced
regress hhrelative c_siops qc_siops

regress hhrelativeA c_wincome qc_wincome
regress hhrelativeA c_isced qc_isced
regress hhrelativeA c_siops qc_siops

tobit hhrelativeA c_wincome qc_wincome, ll(0)
tobit hhrelativeA c_isced qc_isced, ll(0)
tobit hhrelativeA c_siops qc_siops, ll(0)



log close
