clear all

cd "path/to/the/directory/for/the/resulting/file/"

log using Study2_analysis, text replace

use Study2, clear


/* ----------------( Descriptive analysis of the sample )----------------- */

sum fam_size
sum cincome
sum meduc

tab donlog
sum dondon
sum donall

sum ssoclass if missing(donlog, ssoclass)==0

/* --------------( Analysis of social class' effects on donating )--------------- */

logit donlog ssoclass qssoclass, or
logit donlog ssoclass qssoclass
regress dondon ssoclass qssoclass
estat summarize
regress donall ssoclass qssoclass
tobit donall ssoclass qssoclass, ll(0)

saveold  Study2, replace


/* --( Supplementary analysis of the effects of indicators of social class )-- */

generate qscincome = scincome^2
generate qsoeduc = soeduc^2

logit donlog scincome qscincome, or
logit donlog soeduc qsoeduc, or
regress dondon scincome qscincome
regress dondon soeduc qsoeduc
regress donall scincome qscincome
regress donall soeduc qsoeduc
tobit donall scincome qscincome, ll(0)
tobit donall soeduc qsoeduc, ll(0)


log close
