setwd('path/to/the/directory/you/saved/the/Stata/file/')

library(graphics)
library(foreign)

study6 <- read.dta('Study6.dta')

# Convert into csv-File
write.csv(study6, "C:/Users/User/Desktop/Study 6/Study6.csv", row.names=TRUE)


x1a <- c(1.5, 1.5)
y1a <- c(0, 1)
x2a <- c(3.1, 3.1)
y2a <- c(0, 1)
x3a <- c(4.7, 4.7)
y3a <- c(0, 1)
x4a <- c(6.3, 6.3)
y4a <- c(0, 1)
x5a <- c(7.9, 7.9)
y5a <- c(0, 1)
x6a <- c(9.5, 9.5)
y6a <- c(0, 1)

x1b <- c(-2.5, -2.5)
y1b <- c(0, 1)
x2b <- c(-1.5, -1.5)
y2b <- c(0, 1)
x3b <- c(-0.5, -0.5)
y3b <- c(0, 1)
x4b <- c(0.5, 0.5)
y4b <- c(0, 1)
x5b <- c(2.5, 2.5)
y5b <- c(0, 1)
x6b <- c(1.5, 1.5)
y6b <- c(0, 1)

x1c <- c(1.5, 1.5)
y1c <- c(0, 0.04)
x2c <- c(3.1, 3.1)
y2c <- c(0, 0.04)
x3c <- c(4.7, 4.7)
y3c <- c(0, 0.04)
x4c <- c(6.3, 6.3)
y4c <- c(0, 0.04)
x5c <- c(7.9, 7.9)
y5c <- c(0, 0.04)
x6c <- c(9.5, 9.5)
y6c <- c(0, 0.04)

x1d <- c(-2.5, -2.5)
y1d <- c(0, 0.04)
x2d <- c(-1.5, -1.5)
y2d <- c(0, 0.04)
x3d <- c(-0.5, -0.5)
y3d <- c(0, 0.04)
x4d <- c(0.5, 0.5)
y4d <- c(0, 0.04)
x5d <- c(2.5, 2.5)
y5d <- c(0, 0.04)
x6d <- c(1.5, 1.5)
y6d <- c(0, 0.04)

# possibly create Figure8 that contains all 6 panels
postscript(file="Figure8.eps", width=8, height=8, horizontal=FALSE)
par(mfrow=c(3,3))

############# Figure A ############
attach(study6)
order <- order(dobject)
order.object <- dobject[order]
objdvol100 <- objdvol*100
order.objdvol <- objdvol100[order]
plot(order.object, order.objdvol,
main="Proportion of volunteers", 
xlab="Social class", ylab="Percent", 
mgp=c(2.65,1,0),
xaxs="i",
xlim = c(0.5, 10),  
ylim = c(0, 65), type = "l", lwd=1, lty=1, bty="l", yaxs="i", xaxp=c(0,10,10), cex.lab = 1, cex.axis = 1, cex.main=1)
mtext("A",side=3, line = 1.5, adj=-0.12, cex=1.1, font=2 )
points(order.object, order.objdvol, cex=0.6, pch=20)
order <- order(subjectAC)
order.subject <- subjectAC[order]
subjdvol100 <- subjdvol*100
order.subjdvol <- subjdvol100[order]
lines(order.subject, order.subjdvol,
type = "l", lwd=1, lty=2)
points(order.subject, order.subjdvol, cex=0.6, pch=20)
lines(x1a, y1a)
lines(x2a, y2a)
lines(x3a, y3a)
lines(x4a, y4a)
lines(x5a, y5a)
lines(x6a, y6a)
text(1.5, 3.5, "1")
text(3.1, 3.5, "2")
text(4.7, 3.5, "3")
text(6.3, 3.5, "4")
text(7.9, 3.5, "5")
text(9.5, 3.5, "6")
legend (0.8, 63, c("per decile of obj. soc. class (1-10)", "per category of subj. soc. class (1-6)"), lty=c(1,2), seg.len=2, cex=0.78)
detach(study6)


############# Figure B ############
library(locfit)
loobj <- locfit(dvol~c_object, family="binomial", data=study6, alpha=1)
pobj<-predict(loobj, data.frame(c_object = seq(-3.64, 5.51, 0.01)))
pobj_100 <- pobj*100
losubj <- locfit(dvol~subjectBD, family="binomial", data=study6, alpha=1)
psubj<-predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
psubj_100 <- psubj*100
plot(seq(-3.64, 5.51, 0.01), pobj_100, main="Probability of volunteering\n(locally regressed on social class)", 
xlab="Social class", ylab="Percent", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 65), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, cex.lab = 1, cex.axis = 1, cex.main = 1)
lines(seq(-2.5, 2.5, 0.01), psubj_100,
type = "l", lwd=1, lty=2)
legend (-2.8, 63, c("standardized obj. soc. class", "category of subj. soc. class (1-6)"), lty=c(1,2), seg.len=2, cex=0.78)
mtext("B",side=3, line = 1.5, adj=-0.12, cex=1.1, font=2 )
lines(x1b, y1b)
lines(x2b, y2b)
lines(x3b, y3b)
lines(x4b, y4b)
lines(x5b, y5b)
lines(x6b, y6b)
text(-2.5, 3.5, "1")
text(-1.5, 3.5, "2")
text(-0.5, 3.5, "3")
text(0.5, 3.5, "4")
text(1.5, 3.5, "5")
text(2.5, 3.5, "6")


############ Figure C ############
x <- seq(-3.64,5.51,0.01)
ylogobj <- 1/(1+exp(-(-1.1117+0.1631*x-0.0265*x^2)))
ylogobj100 <- ylogobj*100

xsub <- seq(-3.73,3.32,0.01)
ylogsubj <- 1/(1+exp(-(-1.1469+0.1364*xsub+0.0117*xsub^2)))
ylogsubj100 <- ylogsubj*100

plot(x,ylogobj100,
     main="Predicted values\nof the probability of volunteering", 
     xlab="Standardized social class", ylab="Percent", 
     mgp=c(2.65,1,0),
     xlim = c(-3, 3),
     ylim = c(0, 65),  yaxp=c(0,70,7),
     type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, cex.lab = 1, cex.axis = 1, cex.main=1)
mtext("C",side=3, line = 1.5, adj=-0.12, cex=1.1, font=2)
lines(xsub,ylogsubj100,
      type = "l", lwd=1, lty=2)     
legend (-2.8, 63, c("subj. social class", "obj. social class"), lty=c(2,1), cex=0.78)


############# Figure D ############
attach(study6)
order <- order(dobject)
order.object <- dobject[order]
order.objvol <- objvol[order]
plot(order.object, order.objvol,
main="Frequency of volunteering", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xaxs="i",
xlim = c(0.5, 10), 
ylim = c(0, 2.5), type = "l", lwd=1, lty=1, bty="l", yaxs="i", xaxp=c(0,10,10), yaxp=c(0,2.5,5), cex.lab = 1, cex.axis = 1, cex.main=1)
mtext("D",side=3, line = 1.5, adj=-0.12, cex=1.1, font=2 )
points(order.object, order.objvol, cex=0.6, pch=20)
order <- order(subjectAC)
order.subject <- subjectAC[order]
order.subjvol <- subjvol[order]
lines(order.subject, order.subjvol,
type = "l", lwd=1, lty=2)
points(order.subject, order.subjvol, cex=0.6, pch=20)
lines(x1c, y1c)
lines(x2c, y2c)
lines(x3c, y3c)
lines(x4c, y4c)
lines(x5c, y5c)
lines(x6c, y6c)
text(1.5, 0.13, "1")
text(3.1, 0.13, "2")
text(4.7, 0.13, "3")
text(6.3, 0.13, "4")
text(7.9, 0.13, "5")
text(9.5, 0.13, "6")
legend (0.8, 2.47, c("per decile of obj. soc. class (1-10)", "per category of subj. soc. class (1-6)"), lty=c(1,2), seg.len=2, cex=0.78)
detach(study6)


############# Figure E ############
loobj <- with(study6, loess(vol ~ c_object, span=0.8, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-3.64, 5.51, 0.01)))
losubj <- with(study6, loess(vol ~ subjectBD, span=0.8, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-3.64, 5.51, 0.01), pobj, main="Frequency of volunteering\n(locally regressed on social class)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1, cex.axis = 1, cex.main = 1)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
legend (-2.8, 2.47, c("standardized obj. soc. class", "category of subj. soc. class (1-6)"), lty=c(1,2), seg.len=2, cex=0.78)
mtext("E",side=3, line = 1.5, adj=-0.12, cex=1.1, font=2 )
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1")
text(-1.5, 0.13, "2")
text(-0.5, 0.13, "3")
text(0.5, 0.13, "4")
text(1.5, 0.13, "5")
text(2.5, 0.13, "6")


########## Figure F ###########
x <- seq(-3.64,5.51,0.01)
yordobj <- 1.4766+0.0578*x-0.0041*x^2

xsub <- seq(-3.73,3.32,0.01)
yordsubj <- 1.4644+0.0499*xsub+0.0107*xsub^2

plot(x,yordobj,
     main="Predicted values\nof the frequency of volunteering", 
     xlab="Standardized social class", ylab="Frequency (category)", 
     mgp=c(2.65,1,0),
     xlim = c(-3, 3),
     ylim = c(0, 2.5), yaxp=c(0,3,6),
     type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, cex.lab = 1, cex.axis = 1, cex.main=1)
mtext("F", side=3, line = 1.5, adj=-0.12, cex=1.1, font=2 )
lines(xsub,yordsubj,
      type = "l", lwd=1, lty=2)     
legend (-2.8, 2.47, c("subj. social class", "obj. social class"), lty=c(2,1), cex=0.78)


dev.off()