setwd('path/to/the/directory/you/saved/the/Stata/file/')

library(graphics)
library(foreign)

study6 <- read.dta('Study6.dta')

x1d <- c(-2.5, -2.5)
y1d <- c(0, 0.04)
x2d <- c(-1.5, -1.5)
y2d <- c(0, 0.04)
x3d <- c(-0.5, -0.5)
y3d <- c(0, 0.04)
x4d <- c(0.5, 0.5)
y4d <- c(0, 0.04)
x5d <- c(2.5, 2.5)
y5d <- c(0, 0.04)
x6d <- c(1.5, 1.5)
y6d <- c(0, 0.04)

# Australia
loobj <- with(study6[study6$v3=="AUS-Australia",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.61, 2.40, 0.01)))
losubj <- with(study6[study6$v3=="AUS-Australia",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.61, 2.40, 0.01), pobj, main="\nAustralia\n(N = 1,155 / 926)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
xlab="Social class", ylab="Frequency (category)", 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
legend (-2.6, 1.1, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)

# Austria
loobj <- with(study6[study6$v3=="A-Austria",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.60, 4.24, 0.01)))
losubj <- with(study6[study6$v3=="A-Austria",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.60, 4.24, 0.01), pobj, main="\nAustria\n(N = 974 / 939)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Bulgaria
loobj <- with(study6[study6$v3=="BG-Bulgaria",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.33, 3.78, 0.01)))
losubj <- with(study6[study6$v3=="BG-Bulgaria",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.33, 3.78, 0.01), pobj, main="\nBulgaria\n(N = 1,095 / 1,023)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Czech Republic
loobj <- with(study6[study6$v3=="CZ-Czech Republic",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.90, 3.36, 0.01)))
losubj <- with(study6[study6$v3=="CZ-Czech Republic",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.90, 3.36, 0.01), pobj, main="\nCzech Republic\n(N = 1,202 / 1,114)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Denmark
loobj <- with(study6[study6$v3=="D-Denmark",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.09, 3.25, 0.01)))
losubj <- with(study6[study6$v3=="D-Denmark",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.09, 3.25, 0.01), pobj, main="\nDenmark\n(N = 1,111 / 1,095)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# France
loobj <- with(study6[study6$v3=="F-France",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.67, 2.15, 0.01)))
losubj <- with(study6[study6$v3=="F-France",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.67, 2.15, 0.01), pobj, main="\nFrance\n(N = 1,078 / 878)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Ireland
loobj <- with(study6[study6$v3=="IRL-Ireland",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.83, 3.58, 0.01)))
losubj <- with(study6[study6$v3=="IRL-Ireland",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.83, 3.58, 0.01), pobj, main="\nIreland\n(N = 1,001 / 934)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Israel
loobj <- with(study6[study6$v3=="IL-Israel Jews Arabs",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.36, 2.37, 0.01)))
losubj <- with(study6[study6$v3=="IL-Israel Jews Arabs",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.36, 2.37, 0.01), pobj, main="\nIsrael\n(N = 1,165 / 1,161)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Italy
loobj <- with(study6[study6$v3=="I-Italy",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.55, 3.35, 0.01)))
losubj <- with(study6[study6$v3=="I-Italy",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.55, 3.35, 0.01), pobj, main="\nItaly\n(N = 1,003 / 999)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
xlab="Social class", ylab="Frequency (category)", 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Canada
loobj <- with(study6[study6$v3=="CDN-Canada",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-3.64, 2.54, 0.01)))
losubj <- with(study6[study6$v3=="CDN-Canada",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-3.64, 2.54, 0.01), pobj, main="\nCanada\n(N = 928 / 849)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 1.1, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Chile
loobj <- with(study6[study6$v3=="RCH-Chile",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-1.85, 3.84, 0.01)))
losubj <- with(study6[study6$v3=="RCH-Chile",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-1.85, 3.84, 0.01), pobj, main="\nChile\n(N = 1,495 / 1,476)",  
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Cyprus
loobj <- with(study6[study6$v3=="CY-Cyprus",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.95, 3.66, 0.01)))
losubj <- with(study6[study6$v3=="CY-Cyprus",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.95, 3.66, 0.01), pobj, main="\nCyprus\n(N = 1,000 / 938)",  
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Germany	
loobj <- with(study6[study6$v3=="D-W-Germany-West",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.30, 3.45, 0.01)))
losubj <- with(study6[study6$v3=="D-W-Germany-West",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.30, 3.45, 0.01), pobj, main="\nGermany\n(N = 1,960 / 1,754)",  
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Great Britain	
loobj <- with(study6[study6$v3=="GB-Great Britain",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-1.71, 2.70, 0.01)))
plot(seq(-1.71, 2.70, 0.01), pobj, main="\nGreat Britain\n(N = 755 / -)",  
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Hungary
loobj <- with(study6[study6$v3=="H-Hungary",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.28, 3.69, 0.01)))
losubj <- with(study6[study6$v3=="H-Hungary",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.28, 3.69, 0.01), pobj, main="\nHungary\n(N = 995 / 984)",  
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Japan
loobj <- with(study6[study6$v3=="J-Japan",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.07, 4.22, 0.01)))
losubj <- with(study6[study6$v3=="J-Japan",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.07, 4.22, 0.01), pobj, main="\nJapan\n(N = 1,366 / 1,363)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Latvia
loobj <- with(study6[study6$v3=="LV-Latvia",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.66, 3.74, 0.01)))
losubj <- with(study6[study6$v3=="LV-Latvia",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.66, 3.74, 0.01), pobj, main="\nLatvia\n(N = 1,196 / 1,141)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Netherlands
loobj <- with(study6[study6$v3=="NL-Netherlands",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.06, 2.95, 0.01)))
plot(seq(-2.06, 2.95, 0.01), pobj, main="\nNetherlands\n(N = 1,966 / -)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# New Zealand
loobj <- with(study6[study6$v3=="NZ-New Zealand",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.16, 3.04, 0.01)))
losubj <- with(study6[study6$v3=="NZ-New Zealand",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.16, 3.04, 0.01), pobj, main="\nNew Zealand\n(N = 929 / 819)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 1.1, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Norway
loobj <- with(study6[study6$v3=="N-Norway",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.18, 2.94, 0.01)))
losubj <- with(study6[study6$v3=="N-Norway",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.18, 2.94, 0.01), pobj, main="\nNorway\n(N = 1,343 / 1,209)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Philippines
loobj <- with(study6[study6$v3=="RP-Philippines",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.18, 5.51, 0.01)))
losubj <- with(study6[study6$v3=="RP-Philippines",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.18, 5.51, 0.01), pobj, main="\nPhilippines\n(N = 1,199 / 1,159)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 1.1, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Slovak Republic
loobj <- with(study6[study6$v3=="SK-Slovak Republic",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.66, 4.22, 0.01)))
losubj <- with(study6[study6$v3=="SK-Slovak Republic",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.66, 4.22, 0.01), pobj, main="\nSlovak Republic\n(N = 1,271 / 1,166)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Slovenia
loobj <- with(study6[study6$v3=="SLO-Slovenia",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-1.93, 2.60, 0.01)))
losubj <- with(study6[study6$v3=="SLO-Slovenia",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-1.93, 2.60, 0.01), pobj, main="\nSlovenia\n(N = 1,002 / 971)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Spain
loobj <- with(study6[study6$v3=="E-Spain",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-1.70, 2.44, 0.01)))
losubj <- with(study6[study6$v3=="E-Spain",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-1.70, 2.44, 0.01), pobj, main="\nSpain\n(N = 2,457 / 2,399)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Poland
loobj <- with(study6[study6$v3=="PL-Poland",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.33, 3.65, 0.01)))
losubj <- with(study6[study6$v3=="PL-Poland",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.33, 3.65, 0.01), pobj, main="\nPoland\n(N = 1,111 / 1,045)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Portugal
loobj <- with(study6[study6$v3=="P-Portugal",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.02, 3.81, 0.01)))
losubj <- with(study6[study6$v3=="P-Portugal",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.02, 3.81, 0.01), pobj, main="\nPortugal\n(N = 1,195 / 1,158)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Russia
loobj <- with(study6[study6$v3=="RUS-Russia",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-3.63, 2.90, 0.01)))
losubj <- with(study6[study6$v3=="RUS-Russia",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-3.63, 2.90, 0.01), pobj, main="\nRussia\n(N = 1,702 / 1,539)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Sweden
loobj <- with(study6[study6$v3=="S-Sweden",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.09, 3.01, 0.01)))
losubj <- with(study6[study6$v3=="S-Sweden",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.09, 3.01, 0.01), pobj, main="\nSweden\n(N = 1,153 / 1,079)",
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# Switzerland
loobj <- with(study6[study6$v3=="CH-Switzerland",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-2.35, 3.29, 0.01)))
losubj <- with(study6[study6$v3=="CH-Switzerland",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-2.35, 3.29, 0.01), pobj, main="\nSwitzerland\n(N = 1,103 / 921)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)

# United States
loobj <- with(study6[study6$v3=="USA-United States",], loess(vol ~ c_object, span=1, degree=1))
pobj <- predict(loobj, data.frame(c_object = seq(-3.20, 3.07, 0.01)))
losubj <- with(study6[study6$v3=="USA-United States",], loess(vol ~ subjectBD, span=1, degree=1))
psubj <- predict(losubj, data.frame(subjectBD = seq(-2.5, 2.5, 0.01)))
plot(seq(-3.20, 3.07, 0.01), pobj, main="\nUnited States\n(N = 1,226 / 1,218)", 
xlab="Social class", ylab="Frequency (category)", 
mgp=c(2.65,1,0),
xlim = c(-3, 3),
ylim = c(0, 2.5), 
type = "l", lwd=1, xaxs="i", yaxs="i", bty="l", lty=1, yaxp=c(0,2.5,5), cex.lab = 1.2, cex.axis = 1.2, cex.main = 1.4)
lines(seq(-2.5, 2.5, 0.01), psubj,
type = "l", lwd=1, lty=2)
lines(x1d, y1d)
lines(x2d, y2d)
lines(x3d, y3d)
lines(x4d, y4d)
lines(x5d, y5d)
lines(x6d, y6d)
text(-2.5, 0.13, "1", cex = 1.2)
text(-1.5, 0.13, "2", cex = 1.2)
text(-0.5, 0.13, "3", cex = 1.2)
text(0.5, 0.13, "4", cex = 1.2)
text(1.5, 0.13, "5", cex = 1.2)
text(2.5, 0.13, "6", cex = 1.2)
legend (-2.6, 2.4, c("obj. social class", "subj. social class"), lty=c(1,2), seg.len=2.8, cex=1.2)
