clear all

cd "path/to/the/directory/for/the/resulting/file/"

log using Study7_analysis, text replace

use Study7, clear


/* ----------------( Descriptive analysis of the sample )----------------- */

pwcorr c_subject c_object if missing(ehb, c_object, age, sex, year)==0, obs sig
tab sex if missing(ehb, c_object, age, sex, year)==0
sum age if missing(ehb, c_object, age, sex, year)==0
sum income98 if missing(ehb, c_object, age, sex, year)==0 & year~=2012
sum income06 if missing(ehb, c_object, age, sex, year)==0 & year==2012
sum siops if missing(ehb, c_object, age, sex, year)==0
sum degree if missing(ehb, c_object, age, sex, year)==0
sum subject if missing(ehb, subject, age, sex, year)==0
sum ehb if missing(ehb, c_object, age, sex, year)==0

sum c_object if missing(ehb, c_object, age, sex, year)==0
sum c_subject if missing(ehb, c_subject, age, sex, year)==0

/* --------------( Analysis of social class' effects on everyday helping )--------------- */

* 1. objective social class
regress ehb c_object qc_object age sex i.year
regress ehb c_object qc_object i.year if missing(age,sex)==0
* 2. subjective social class
regress ehb c_subject qc_subject age sex i.year
regress ehb c_subject qc_subject i.year if missing(age,sex)==0


/* --( Regressions to determine correct intercepts for the figures )-- */

recode sex (1=-1) (2=1), generate(sexnew)
center age if missing(ehb, c_object, age, sex, year)==0

regress ehb c_object qc_object c_age sexnew i.year
regress ehb c_subject qc_subject c_age sexnew i.year


/* --( Supplementary analysis of the effects of indicators of social class )-- */

generate qc_income = c_income^2
generate qc_degree = c_degree^2
generate qc_siops = c_siops^2

regress ehb c_income qc_income age sex i.year
regress ehb c_income qc_income i.year if missing(age,sex)==0
regress ehb c_degree qc_degree age sex i.year
regress ehb c_degree qc_degree i.year if missing(age,sex)==0
regress ehb c_siops qc_siops age sex i.year
regress ehb c_siops qc_siops i.year if missing(age,sex)==0


log close
