clear all

cd "path/to/the/directory/for/the/resulting/file/"

* Unfortunately, there was no approval of the SOEP to host the data
* on this server. Nevertheless, original data is available from the SOEP.

log using Study8_analysis, text replace

use Study8, clear


/* ----------------( Descriptive analysis of the sample )----------------- */

xtset persnr year

xtsum age if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)
xttab sex if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)
sum pgive if missing(pgive, c_soclass, age, sex, year)==0 & player==1
sum pgive if missing(pgive, pget, c_soclass, age, sex, year)==0 & player==3
sum pget if missing(pgive, pget, c_soclass, age, sex, year)==0 & player==3
xtsum euro if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)

xtsum wincome if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)
xtsum isced if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)
xtsum siops if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)

xtsum c_soclass if missing(pgive, c_soclass, age, sex, year)==0 & (player==1 | player==3)
xtsum c_soclass if missing(pgive, c_soclass, age, sex, year)==0 & player==1 
xtsum c_soclass if missing(pgive, c_soclass, age, sex, year)==0 & player==3

/* --------------( Analysis of social class' effects on trust behavior )--------------- */

* 1. Analysis for Player 1
xtset, clear
mixed pgive c_soclass qc_soclass age sex i.year if player==1 || persnr:
estat icc
mixed pgive c_soclass qc_soclass i.year ///
	if player==1 & missing(pgive, c_soclass, age, sex, year)==0 || persnr:

* 2. Analysis for Player 2
mixed pgive pget c_soclass qc_soclass age sex i.year if player==3 || persnr:
estat icc
mixed pgive pget c_soclass qc_soclass i.year ///
	if player==3 & missing(pgive, pget, c_soclass, age, sex, year)==0 || persnr:

	

/* --( Regressions to determine correct intercepts for the figures )-- */

recode sex (1=-1) (2=1), generate(sexnew)
center age if missing(pgive, c_soclass, age, sex, year)==0 & player==1
rename c_age age_pl1
center age if missing(pgive, pget, c_soclass, age, sex, year)==0 & player==3
rename c_age age_pl2
sum age*

mixed pgive c_soclass qc_soclass age_pl1 sexnew i.year if player==1 || persnr:
mixed resid c_soclass qc_soclass age_pl2 sexnew i.year if player==3 || persnr:

	
/* --( Supplementary analysis of the effects of indicators of social class )-- */

generate qc_wincome = c_wincome^2
generate qc_isced = c_isced^2
generate qc_siops = c_siops^2

* 1. Analysis for Player 1
meglm pgive c_wincome qc_wincome age sex i.year if player==1 || persnr:
meglm pgive c_wincome qc_wincome i.year ///
	if player==1 & missing(pgive, c_wincome, age, sex, year)==0 || persnr:
meglm pgive c_isced qc_isced age sex i.year if player==1 || persnr:
meglm pgive c_isced qc_isced i.year ///
	if player==1 & missing(pgive, c_isced, age, sex, year)==0 || persnr:
meglm pgive c_siops qc_siops age sex i.year if player==1 || persnr:
meglm pgive c_siops qc_siops i.year ///
	if player==1 & missing(pgive, c_siops, age, sex, year)==0 || persnr:

* 2. Analysis for Player 2
meglm pgive pget c_wincome qc_wincome age sex i.year if player==3 || persnr:
meglm pgive pget c_wincome qc_wincome i.year ///
	if player==3 & missing(pgive, pget, c_wincome, age, sex, year)==0 || persnr:
meglm pgive pget c_isced qc_isced age sex i.year if player==3 || persnr:
meglm pgive pget c_isced qc_isced i.year ///
	if player==3 & missing(pgive, pget, c_isced, age, sex, year)==0 || persnr:
meglm pgive pget c_siops qc_siops age sex i.year if player==3 || persnr:
meglm pgive pget c_siops qc_siops i.year ///
	if player==3 & missing(pgive, pget, c_siops, age, sex, year)==0 || persnr:
	
	
log close
	